cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ameliasasso <a.sa...@sourcesense.com>
Subject Re: Creating a parent POM
Date Fri, 22 Aug 2008 13:29:09 GMT

I also had the same problem, on Mac OSX, and can confirm that this solution
works:

"I modified the pom repository\org\apache\cocoon\cocoon\6, and changed
maven-war-plugin dependency to 2.1-alpha-1"


Victor Vera wrote:
> 
> 
> 
>>> I've been getting the same error too. I was wondering if the 2.0.2 
>>> version of maven-war-plugin was to blame so I tried changing the 
>>> version to 2.0.1 in my webapp block but I noticed the message still 
>>> refers to 2.0.2 despite running `mvn clean`. So either I'm not 
>>> correctly cleaning my project or something else is including 
>>> org.apache.maven.plugins:maven-war-plugin:2.0.2:war. Mysterious...
>>>
>>>   Has anybody else successfully set up a parent POM for their cocoon 
>>> project so that a single `mvn install` builds all the blocks and 
>>> deploys a war in one step? I can write a Makefile but I'm trying to 
>>> learn how to do things The Maven Way.
>>>
>>> Any pointers are greatly appreciated.
>>>
>> 
>> Just for the record, I get the same error.
>>  (On a windows XP box, version 5.1;
>>                           java version 1.6.0_06;
>>                          maven 2.0.9 )
>> 
> I had the same problem.
> I modified the pom repository\org\apache\cocoon\cocoon\6, and changed
> maven-war-plugin dependency to 2.1-alpha-1
> 
> I don't know if this is the right way, but is working.
> 
> 

-- 
View this message in context: http://www.nabble.com/Creating-a-parent-POM-tp18173518p19107276.html
Sent from the Cocoon - Users mailing list archive at Nabble.com.


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message